org.apache.ignite.configuration

## Class CacheConfiguration.IgniteAllNodesPredicate

- java.lang.Object
- - org.apache.ignite.configuration.CacheConfiguration.IgniteAllNodesPredicate

All Implemented Interfaces:
  Serializable, IgnitePredicate<ClusterNode>

Enclosing class:
  CacheConfiguration<K,V>

    public static class CacheConfiguration.IgniteAllNodesPredicate
    extends Object
    implements IgnitePredicate<ClusterNode>

Filter that accepts all nodes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteAllNodesPredicate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(ClusterNode node)` Predicate body.
`boolean` `equals(Object obj)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteAllNodesPredicate

    public IgniteAllNodesPredicate()

### Method Detail

#### apply

    public boolean apply(ClusterNode node)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<ClusterNode>`
Parameters:
  `node` - Predicate parameter.
Returns:
  Return value.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019